diff -u /hunchentoot-1.2.7/ /hunchentoot-1.2.7p/
Common subdirectories: /hunchentoot-1.2.7/doc and /hunchentoot-1.2.7p/doc
diff -u /hunchentoot-1.2.7/hunchentoot.asd /hunchentoot-1.2.7p/hunchentoot.asd
--- /hunchentoot-1.2.7/hunchentoot.asd	2012-12-01 07:36:38.163904453 -0800
+++ /hunchentoot-1.2.7p/hunchentoot.asd	2012-12-02 20:18:58.360127859 -0800
@@ -55,6 +55,7 @@
                :md5
                :rfc2388
                :trivial-backtrace
+							 :secure-random
                #-:lispworks :usocket
                #-:lispworks :bordeaux-threads)
   :components ((:module url-rewrite
diff -u /hunchentoot-1.2.7/session.lisp /hunchentoot-1.2.7p/session.lisp
--- /hunchentoot-1.2.7/session.lisp	2012-12-01 07:36:38.164904413 -0800
+++ /hunchentoot-1.2.7p/session.lisp	2012-12-02 20:18:15.231832884 -0800
@@ -127,7 +127,7 @@
   "Creates a uniquely encoded session string based on the values ID,
 USER-AGENT, REMOTE-ADDR, and START"
   (unless (boundp '*session-secret*)
-    (hunchentoot-warn "Session secret is unbound.  Using Lisp's RANDOM function to initialize it.")
+    (hunchentoot-warn "Session secret is unbound.  Using secure-random to initialize it.")
     (reset-session-secret))
   ;; *SESSION-SECRET* is used twice due to known theoretical
   ;; vulnerabilities of MD5 encoding
@@ -142,6 +142,7 @@
                                               remote-addr)
                                          start)))))
 
+
 (defun stringify-session (session)
   "Creates a string representing the SESSION object SESSION. See
 ENCODE-SESSION-STRING."
@@ -351,7 +352,7 @@
 (defun reset-session-secret ()
   "Sets *SESSION-SECRET* to a new random value. All old sessions will
 cease to be valid."
-  (setq *session-secret* (create-random-string 10 36)))
+  (setq *session-secret* (create-random-string 36)))
 
 (defun reset-sessions (&optional (acceptor *acceptor*))
   "Removes ALL stored sessions of ACCEPTOR."
Common subdirectories: /hunchentoot-1.2.7/test and /hunchentoot-1.2.7p/test
Common subdirectories: /hunchentoot-1.2.7/url-rewrite and /hunchentoot-1.2.7p/url-rewrite
diff -u /hunchentoot-1.2.7/util.lisp /hunchentoot-1.2.7p/util.lisp
--- /hunchentoot-1.2.7/util.lisp	2012-12-01 07:36:38.182903701 -0800
+++ /hunchentoot-1.2.7p/util.lisp	2012-12-01 08:43:11.258439136 -0800
@@ -46,13 +46,11 @@
           (starts-with-p seq subseq :test test))
         subseq-list))
 
-(defun create-random-string (&optional (n 10) (base 16))
-  "Returns a random number \(as a string) with base BASE and N
-digits."
+(defun create-random-string (&optional (base 16))
+  "Returns a random number \(as a string) with base BASE."
   (with-output-to-string (s)
-    (dotimes (i n)
       (format s "~VR" base
-              (random base *the-random-state*)))))
+              (secure-random:number 1000000000000000))))
 
 (defun reason-phrase (return-code)
   "Returns a reason phrase for the HTTP return code RETURN-CODE
Common subdirectories: /hunchentoot-1.2.7/www and /hunchentoot-1.2.7p/www

Diff finished.  Sun Dec  2 20:27:59 2012
